ApiTimeSeriesRequest (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiTimeSeriesRequest

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiTimeSeriesRequest

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiTimeSeriesRequest
      extends Object

  Request object containing information needed for querying timeseries data. Available since API v11.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiTimeSeriesRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiTimeSeriesRequest` | `contentType(String contentType)`
    `ApiTimeSeriesRequest` | `desiredRollup(String desiredRollup)`
    `boolean` | `equals(Object o)`
    `ApiTimeSeriesRequest` | `from(String from)`
    `String` | `getContentType()` contentType to return the response in.
    `String` | `getDesiredRollup()` Aggregate rollup level desired for the response data.
    `String` | `getFrom()` Start of the period to query in ISO 8601 format (defaults to 5 minutes before the end of the period).
    `String` | `getQuery()` tsquery to run against the CM time-series data store.
    `String` | `getTo()` End of the period to query in ISO 8601 format (defaults to current time).
    `int` | `hashCode()`
    `Boolean` | `isMustUseDesiredRollup()` If set to true, then the tsquery will return data with the desired aggregate rollup level.
    `ApiTimeSeriesRequest` | `mustUseDesiredRollup(Boolean mustUseDesiredRollup)`
    `ApiTimeSeriesRequest` | `query(String query)`
    `void` | `setContentType(String contentType)`
    `void` | `setDesiredRollup(String desiredRollup)`
    `void` | `setFrom(String from)`
    `void` | `setMustUseDesiredRollup(Boolean mustUseDesiredRollup)`
    `void` | `setQuery(String query)`
    `void` | `setTo(String to)`
    `ApiTimeSeriesRequest` | `to(String to)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiTimeSeriesRequest

          public ApiTimeSeriesRequest()

  - ### Method Detail

    - #### query

          public ApiTimeSeriesRequest query(String query)

    - #### getQuery

          public String getQuery()

      tsquery to run against the CM time-series data store. Please see the <a href=\"https://docs.cloudera.com/r/cm_tsquery\"> tsquery language documentation</a>.<p/>
      Returns:
        query

    - #### setQuery

          public void setQuery(String query)

    - #### from

          public ApiTimeSeriesRequest from(String from)

    - #### getFrom

          public String getFrom()

      Start of the period to query in ISO 8601 format (defaults to 5 minutes before the end of the period).
      Returns:
        from

    - #### setFrom

          public void setFrom(String from)

    - #### to

          public ApiTimeSeriesRequest to(String to)

    - #### getTo

          public String getTo()

      End of the period to query in ISO 8601 format (defaults to current time).
      Returns:
        to

    - #### setTo

          public void setTo(String to)

    - #### contentType

          public ApiTimeSeriesRequest contentType(String contentType)

    - #### getContentType

          public String getContentType()

      contentType to return the response in. The content types \"application/json\" and \"text/csv\" are supported. This defaults to \"application/json\". If \"text/csv\" is specified then we return one row per time series data point, and we don't return any of the metadata.
      Returns:
        contentType

    - #### setContentType

          public void setContentType(String contentType)

    - #### desiredRollup

          public ApiTimeSeriesRequest desiredRollup(String desiredRollup)

    - #### getDesiredRollup

          public String getDesiredRollup()

      Aggregate rollup level desired for the response data. Valid values are RAW, TEN_MINUTELY, HOURLY, SIX_HOURLY, DAILY, and WEEKLY. Note that if the mustUseDesiredRollup parameter is not set, then the monitoring server can decide to return a different rollup level.
      Returns:
        desiredRollup

    - #### setDesiredRollup

          public void setDesiredRollup(String desiredRollup)

    - #### mustUseDesiredRollup

          public ApiTimeSeriesRequest mustUseDesiredRollup(Boolean mustUseDesiredRollup)

    - #### isMustUseDesiredRollup

          public Boolean isMustUseDesiredRollup()

      If set to true, then the tsquery will return data with the desired aggregate rollup level.
      Returns:
        mustUseDesiredRollup

    - #### setMustUseDesiredRollup

          public void setMustUseDesiredRollup(Boolean mustUseDesiredRollup)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.